#include <stdio.h>
#include <def21160.h>
#include <cdef21160.h>
#include <signal.h>
#include "Overlay.h"

asm("#include <def21160.h>");

extern UINT32 uOverlayId;
extern UINT32 uSymbolAddress;

extern int ov_id_loaded;

int DMA_done = 0;


void main(void)
{
	int flag1 = 0;
	int flag2 = 0;
	
	*pSYSCON = 0x0000c000;
	
	ov_id_loaded = 0xFFFFFFFF;

	// Reset ID
	
	asm("bit set mode2 FLG1O | FLG2O | FLG0O;");
	asm("FLAGS = 0x7;");
	
	while(1)
	{
		flag1 = MAIN_Blink_LED1(flag1);
		flag2 = OVL1_Blink_LED2(flag1);
		
	}
}

int MAIN_Blink_LED1(int flag1)
{
	int i;
	int j;
	
	for( i = 0; i < 10; i++ )
	{
		
		asm("FLAGS = 0x1;");
		
		for( j = 0; j < 0x5FFFF; j++ );
		
		asm("FLAGS = 0x0;");
		
		for( j = 0; j < 0x5FFFF; j++ );
	}
	
	return flag1;
}


